# Ice::ConnectionInfo

## Overview

### local class ConnectionInfo

Base class providing access to the connection details.

#### Derived Classes and Interfaces

IPConnectionInfo

#### Used By

Connection::getInfo
Instrumentation::CommunicatorObserver::getConnectionObserver
Instrumentation::InvocationObserver::getRemoteObserver

## Data Member Index

incoming
  Whether or not the connection is an incoming or outgoing connection.
adapterName
  The name of the adapter associated with the connection.
connectionId
  The connection id.

## Data Members

### bool incoming;

Whether or not the connection is an incoming or outgoing connection.

### string adapterName;

The name of the adapter associated with the connection.

### string connectionId;

The connection id.